#include "B4RDefines.h"
namespace B4R { 
B4RString* B4RESP8266GHN::StringToB4R(String* o) {
		PrintToMemory pm;
		B4RString* s = B4RString::PrintableToString(NULL);
		pm.print(*o);
		StackMemory::buffer[StackMemory::cp++] = 0;
		return s;
}
B4RString* B4RESP8266GHN::notify(B4RString* displayname,B4RString* language,int timeout,B4RString* notifytext, bool debug){
  GoogleHomeNotifier ghn;
  String s;
  
  if (debug == true){
    ::Serial.println("connecting to Google Home...");
  } 
  if (ghn.device(displayname->data, language->data,timeout) != true) {
    if (debug == true){
      ::Serial.println("Error: ");
      ::Serial.println(ghn.getLastError());
    }
    s =  ghn.getLastError();
    return StringToB4R(&s);
  }
  if (debug == true){
    ::Serial.println("found Google Home");
    ::Serial.println("IP Adress: ");
    ::Serial.println(ghn.getIPAddress());
    ::Serial.println("Port: ");
    ::Serial.println(ghn.getPort());
  }
  if (ghn.notify(notifytext->data) != true) {
    if(debug == true){
      ::Serial.println("Error: ");
      ::Serial.println(ghn.getLastError());
    }
    s =    ghn.getLastError();
    return StringToB4R(&s);
  }
  if (debug == true){
  ::Serial.println("success.");
  }
  s = "success";
  return StringToB4R(&s);
  }
B4RString* B4RESP8266GHN::playmp3(B4RString* displayname,int timeout,B4RString* mp3url, bool debug){
  GoogleHomeNotifier ghn;
  String s;
  
  if (debug == true){
    ::Serial.println("connecting to Google Home...");
  } 
  if (ghn.device(displayname->data, "",timeout) != true) {
    if (debug == true){
      ::Serial.println("Error: ");
      ::Serial.println(ghn.getLastError());
    }
    s =  ghn.getLastError();
    return StringToB4R(&s);
  }
  if (debug == true){
    ::Serial.println("found Google Home");
    ::Serial.println("IP Adress: ");
    ::Serial.println(ghn.getIPAddress());
    ::Serial.println("Port: ");
    ::Serial.println(ghn.getPort());
  }
  if (ghn.play(mp3url->data) != true) {
    if(debug == true){
      ::Serial.println("Error: ");
      ::Serial.println(ghn.getLastError());
    }
    s =    ghn.getLastError();
    return StringToB4R(&s);
  }
  if (debug == true){
  ::Serial.println("success.");
  }
  s = "success";
  return StringToB4R(&s);
  } 
  
  
}
