#pragma once 
#include "B4RDefines.h"
#include <esp8266-google-home-notifier.h>
//~version: 1.00
namespace B4R {
  //~Author - A.Dalebout
	//~shortname: ESP8266ghn
	class B4RESP8266GHN {
		public:
    //~hide
	  static B4RString* StringToB4R(String* s);
    // returns "success" if it was successful or a error message if not
    //
    // displayname = name from the Google Home Assistant case sensitive !
    // language = "de" for german "en" for english ...
    // timeout = max time to wait in ms
    // notifytext = text to say
    // debug if true you will get some more information in the serial log console 
     B4RString* notify(B4RString* displayname,B4RString* language,int timeout, B4RString* notifytext,bool debug);
    // returns "success" if it was successful or a error message if not
    //
    // displayname = name from the Google Home Assistant case sensitive !
    // timeout = max time to wait in ms
    // mp3url = url to the mp3 file to play
    // debug if true you will get some more information in the serial log console 
    B4RString* playmp3(B4RString* displayname,int timeout, B4RString* mp3url,bool debug);
    };
    }